# Trinity Desktop Environment GIT Repositories for extra packages

TDE is a comprehensive desktop environment that includes both
core packages and applications designed for it.

The complete source code is split into many individual GIT repositories,
connected together into a tree structure of modules and submodules. The
main *TDE* repository provides the entry point to the root of such tree,
simplifying navigation and cloning operation of the complete TDE code.

TDE packaging repository contains files designed to create source and
binary packages for distributions such as Debian, Fedora, and so on.

TDE extra-dependencies repository contains packages required to build
TDE under various distributions but for which the TDE team is not the
upstream maintainer.


## Check out the complete TDE source code

To check out the complete source tree from GIT,
you can use the following procedure:

```
cd <base folder>
git clone https://mirror.git.trinitydesktop.org/gitea/TDE/tde.git
git clone https://mirror.git.trinitydesktop.org/gitea/TDE/scripts.git tde/scripts
cd tde
./scripts/switch_all_submodules_to_head_and_clean anonymous

Optionally to get the extra dependencies:
cd <base folder>
git clone https://mirror.git.trinitydesktop.org/gitea/TDE/extra-dependencies.git
```
